## bullet 2.81-rev2613+dfsg2

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
DTYPE := +dfsg2
PKG := bullet
VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*(\d[\d\.]*(?:-r(?:ev)?\d+))}')

VERSION=2.81

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=on \
		-DBUILD_EXTRAS=on \
		-DBUILD_DEMOS=off \
		-DINSTALL_LIBS=on \
		-DINSTALL_EXTRA_LIBS=on \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	doxygen
	$(RM) -v html/*.md5 html/*.map
	# De-duplication (http://wiki.debian.org/dedup.debian.net):
	rdfind -outputname /dev/null -makesymlinks true html
	symlinks -rsc html

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_strip:
	dh_strip --dbg-package=libbullet$(VERSION)-dbg

override_dh_clean:
	dh_clean
	$(RM) -r html


.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	&& tar xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "# Clean-up..."
	cd $(PKG)-$(VER) \
	&& $(RM) -r -v \
		build \
		Glut \
		GLUT32.DLL \
		glut64.dll \
		Extras/CUDA \
		Extras/khx2dae \
		Extras/glui \
		Extras/CDTestFramework/License.txt.bak \
		Extras/CDTestFramework/GLUT32.DLL \
		Extras/Serialize/BulletXmlWorldImporter/tiny* \
		Demos/BulletDinoDemo \
		Demos/DX11ClothDemo \
		Demos/ParticlesOpenCL \
		UnitTests/cppunit \
		Bullet_User_Manual.pdf \
		autom4te.cache
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"

## bullet 2.82

=== src/BulletMultiThreaded/GpuSoftBodySolvers/OpenCL/MiniCL/CMakeLists.txt ===

INCLUDE_DIRECTORIES(
${BULLET_PHYSICS_SOURCE_DIR}/src
)

ADD_DEFINITIONS(-DUSE_MINICL)




SET(BulletSoftBodyOpenCLSolvers_SRCS
	../btSoftBodySolver_OpenCL.cpp
)

SET(BulletSoftBodyOpenCLSolvers_HDRS
	../btSoftBodySolver_OpenCL.h
	../../Shared/btSoftBodySolverData.h
	../btSoftBodySolverVertexData_OpenCL.h
	../btSoftBodySolverTriangleData_OpenCL.h
	../btSoftBodySolverLinkData_OpenCL.h
	../btSoftBodySolverBuffer_OpenCL.h
)

# OpenCL and HLSL Shaders.
# Build rules generated to stringify these into headers
# which are needed by some of the sources
SET(BulletSoftBodyOpenCLSolvers_Shaders
#	OutputToVertexArray
	UpdateNormals
	Integrate
	UpdatePositions
	UpdateNodes
	SolvePositions
	UpdatePositionsFromVelocities
	ApplyForces
	PrepareLinks
	VSolveLinks
)

foreach(f ${BulletSoftBodyOpenCLSolvers_Shaders})
    LIST(APPEND BulletSoftBodyOpenCLSolvers_OpenCLC "../OpenCLC10/${f}.cl")
endforeach(f) 



ADD_LIBRARY(BulletSoftBodySolvers_OpenCL_Mini
	${BulletSoftBodyOpenCLSolvers_SRCS} 
	${BulletSoftBodyOpenCLSolvers_HDRS} 
	${BulletSoftBodyOpenCLSolvers_OpenCLC}
)

SET_TARGET_PROPERTIES(BulletSoftBodySolvers_OpenCL_Mini PROPERTIES VERSION ${BULLET_VERSION})
SET_TARGET_PROPERTIES(BulletSoftBodySolvers_OpenCL_Mini PROPERTIES SOVERSION ${BULLET_VERSION})
IF (BUILD_SHARED_LIBS)
	TARGET_LINK_LIBRARIES(BulletSoftBodySolvers_OpenCL_Mini MiniCL BulletMultiThreaded BulletSoftBody)
ENDIF (BUILD_SHARED_LIBS)


IF (INSTALL_LIBS)
	IF (NOT INTERNAL_CREATE_DISTRIBUTABLE_MSVC_PROJECTFILES)
		IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 2.5)
			IF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
				INSTALL(TARGETS BulletSoftBodySolvers_OpenCL_Mini DESTINATION .)
			ELSE (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
				INSTALL(TARGETS BulletSoftBodySolvers_OpenCL_Mini
					RUNTIME DESTINATION bin
					LIBRARY DESTINATION lib${LIB_SUFFIX}
					ARCHIVE DESTINATION lib${LIB_SUFFIX})
#headers are already installed by BulletMultiThreaded library
			ENDIF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
		ENDIF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 2.5)

		IF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
			SET_TARGET_PROPERTIES(BulletSoftBodySolvers_OpenCL_Mini PROPERTIES FRAMEWORK true)
			SET_TARGET_PROPERTIES(BulletSoftBodySolvers_OpenCL_Mini PROPERTIES PUBLIC_HEADER "${BulletSoftBodyOpenCLSolvers_HDRS}")
		ENDIF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
	ENDIF (NOT INTERNAL_CREATE_DISTRIBUTABLE_MSVC_PROJECTFILES)
ENDIF (INSTALL_LIBS)

=== src/BulletMultiThreaded/GpuSoftBodySolvers/OpenCL/NVidia/CMakeLists.txt ===

ADD_DEFINITIONS(-DUSE_NVIDIA_OPENCL)
ADD_DEFINITIONS(-DCL_PLATFORM_NVIDIA)

INCLUDE_DIRECTORIES(
	${BULLET_PHYSICS_SOURCE_DIR}/src
	${NVIDIA_OPENCL_INCLUDES}
)



SET(BulletSoftBodyOpenCLSolvers_SRCS
	../btSoftBodySolver_OpenCL.cpp
	../btSoftBodySolver_OpenCLSIMDAware.cpp
	../btSoftBodySolverOutputCLtoGL.cpp
)

SET(BulletSoftBodyOpenCLSolvers_HDRS
	../btSoftBodySolver_OpenCL.h
	../../Shared/btSoftBodySolverData.h
	../btSoftBodySolverVertexData_OpenCL.h
	../btSoftBodySolverTriangleData_OpenCL.h
	../btSoftBodySolverLinkData_OpenCL.h
	../btSoftBodySolverLinkData_OpenCLSIMDAware.h
	../btSoftBodySolverBuffer_OpenCL.h
	../btSoftBodySolverVertexBuffer_OpenGL.h
	../btSoftBodySolverOutputCLtoGL.h
)

# OpenCL and HLSL Shaders.
# Build rules generated to stringify these into headers
# which are needed by some of the sources
SET(BulletSoftBodyOpenCLSolvers_Shaders
#	OutputToVertexArray
	UpdateNormals
	Integrate
	UpdatePositions
	UpdateNodes
	SolvePositions
	UpdatePositionsFromVelocities
	ApplyForces
	PrepareLinks
	VSolveLinks
)

foreach(f ${BulletSoftBodyOpenCLSolvers_Shaders})
    LIST(APPEND BulletSoftBodyOpenCLSolvers_OpenCLC "../OpenCLC10/${f}.cl")
endforeach(f) 



ADD_LIBRARY(BulletSoftBodySolvers_OpenCL_NVidia
	${BulletSoftBodyOpenCLSolvers_SRCS} 
	${BulletSoftBodyOpenCLSolvers_HDRS} 
	${BulletSoftBodyOpenCLSolvers_OpenCLC}
)

SET_TARGET_PROPERTIES(BulletSoftBodySolvers_OpenCL_NVidia PROPERTIES VERSION ${BULLET_VERSION})
SET_TARGET_PROPERTIES(BulletSoftBodySolvers_OpenCL_NVidia PROPERTIES SOVERSION ${BULLET_VERSION})
IF (BUILD_SHARED_LIBS)
	TARGET_LINK_LIBRARIES(BulletSoftBodySolvers_OpenCL_NVidia BulletSoftBody BulletDynamics)
ENDIF (BUILD_SHARED_LIBS)


IF (INSTALL_LIBS)
	IF (NOT INTERNAL_CREATE_DISTRIBUTABLE_MSVC_PROJECTFILES)
		IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 2.5)
			IF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
				INSTALL(TARGETS BulletSoftBodySolvers_OpenCL_NVidia DESTINATION .)
			ELSE (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
				INSTALL(TARGETS BulletSoftBodySolvers_OpenCL_NVidia
					RUNTIME DESTINATION bin
					LIBRARY DESTINATION lib${LIB_SUFFIX}
					ARCHIVE DESTINATION lib${LIB_SUFFIX})
#headers are already installed by BulletMultiThreaded library
			ENDIF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
		ENDIF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 2.5)

		IF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
			SET_TARGET_PROPERTIES(BulletSoftBodySolvers_OpenCL_NVidia PROPERTIES FRAMEWORK true)
			SET_TARGET_PROPERTIES(BulletSoftBodySolvers_OpenCL_NVidia PROPERTIES PUBLIC_HEADER "${BulletSoftBodyOpenCLSolvers_HDRS}")
		ENDIF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
	ENDIF (NOT INTERNAL_CREATE_DISTRIBUTABLE_MSVC_PROJECTFILES)
ENDIF (INSTALL_LIBS)

## bullet 2.82-r2704+dfsg

=== debian/changelog ===
bullet (2.82-r2704+dfsg-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Pierre Rudloff <contact@rudloff.pro>  Sun, 06 Apr 2014 19:05:36 +0200

bullet (2.82-r2704+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Tue, 25 Mar 2014 14:29:21 +0100

bullet (2.82-r2704+dfsg-1) experimental; urgency=low

  * [d23f55a] Imported Upstream version 2.82-r2704+dfsg
  * [378223c] Update get-orig-source target for new upstream release.
  * [29f37ad] Rename all files to 2.82 because of the usual SONAME change.
  * [b6b39a5] debian/control: Rename all binary packages from 2.81 to 2.82.
  * [54b5c87] Update copyright years. Add a new contributor.
  * [f7bc2d2] Update homepage field to org address.
  * [388b5b7] Bump Standards-Version to 3.9.5, no changes.

 -- Markus Koschany <apo@gambaru.de>  Fri, 01 Nov 2013 11:15:43 +0100

=== debian/control ===
Source: bullet
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 cmake,
 debhelper (>= 9),
 freeglut3-dev,
 libtinyxml-dev,
 zlib1g-dev
Build-Depends-Indep:
 doxygen,
 graphviz,
 rdfind,
 symlinks
Standards-Version: 3.9.5
Homepage: http://www.bulletphysics.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/bullet.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/bullet.git

Package: libbulletsoftbody2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- soft body
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletSoftbody shared library.
 .
 It features soft body dynamics for cloth, rope and deformable volumes with
 two-way interaction with rigid bodies, including constraint support.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletcollision2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- collision
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletCollision shared library.
 .
 It features discrete and continuous collision detection including ray and
 convex sweep test. Collision shapes include concave and convex meshes and all
 basic primitives.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletdynamics2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- dynamics
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletDynamics shared library.
 .
 It features fast and stable rigid body dynamics constraint solver, vehicle
 dynamics, character controller and slider, hinge, generic 6DOF and cone twist
 constraint for ragdolls.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: liblinearmath2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- mathematics
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the LinearMath shared library which is required by most
 other Bullet libraries and provides basic data types and memory management.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libhacd2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- HACD
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the HACD shared library. HACD stands for Hierarchical
 Approximate Convex Decomposition and provides a sophisticated algorithm that
 can, in a CPU efficient way, compute a faithful approximation of the original
 mesh.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libconvexdecomposition2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- convex decomposition
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the ConvexDecomposition shared library. Convex
 decomposition can be used to decompose a concave mesh into several convex
 parts and then combine them into a new composite object.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletfileloader2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- file loader
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletFileLoader shared library.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletworldimporter2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- world importer
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletWorldImporter shared library which can be
 used by Blender and other software to export or import the Bullet physics
 file format.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletxmlworldimporter2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- xml world importer
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletXmlWorldImporter shared library which can be
 used by Blender and other software to export or import the Bullet physics file
 format.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libgimpactutils2.82
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: professional 3D Game Multiphysics Library -- GIMPACT
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the GIMPACT shared library. GIMPACT is a software
 library with tools for geometry processing and collision detection, focused on
 solving most common problems on Virtual Reality development.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbullet-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libbulletcollision2.82 (= ${binary:Version}),
 libbulletdynamics2.82 (= ${binary:Version}),
 libbulletsoftbody2.82 (= ${binary:Version}),
 liblinearmath2.82 (= ${binary:Version}),
 ${misc:Depends}
Description: professional 3D Game Multiphysics Library -- development files
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
  * Used by many movie and game companies in AAA titles on Playstation 3, XBox
    360, Nintendo Wii, PC, Android and iPhone.
  * Modular extendible C++ design with hot-swap of most components.
  * Discrete and continuous collision detection (CCD).
  * Swept collision queries.
  * Ray casting with custom collision filtering.
  * Generic convex support (using GJK), capsule, cylinder, cone, sphere, box and
    non-convex triangle meshes.
  * Support for dynamic deformation of non-convex triangle meshes, by refitting
    the acceleration structures.
 .
 Multiphysics support including:
 .
  * Rigid body dynamics including constraint solvers, generic constraints,
    ragdolls, hinge, ball-socket.
  * Support for constraint limits and motors.
  * Soft body support including cloth, rope and deformable.
  * Bullet is integrated into Blender.
  * Serialization of physics data in the cross-platform binary bullet file
    format.
 .
 This package contains development files for Bullet.

Package: libbullet-extras-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libbulletfileloader2.82 (= ${binary:Version}),
 libbulletworldimporter2.82 (= ${binary:Version}),
 libbulletxmlworldimporter2.82 (= ${binary:Version}),
 libconvexdecomposition2.82 (= ${binary:Version}),
 libgimpactutils2.82 (= ${binary:Version}),
 libhacd2.82 (= ${binary:Version}),
 ${misc:Depends}
Description: professional 3D Game Multiphysics Library -- extra development
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains extra development files for Bullet.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbullet2.82-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 libbulletcollision2.82 (= ${binary:Version}),
 libbulletdynamics2.82 (= ${binary:Version}),
 libbulletfileloader2.82 (= ${binary:Version}),
 libbulletsoftbody2.82 (= ${binary:Version}),
 libbulletworldimporter2.82 (= ${binary:Version}),
 libbulletxmlworldimporter2.82 (= ${binary:Version}),
 libconvexdecomposition2.82 (= ${binary:Version}),
 libgimpactutils2.82 (= ${binary:Version}),
 libhacd2.82 (= ${binary:Version}),
 liblinearmath2.82 (= ${binary:Version}),
 ${misc:Depends}
Description: professional 3D Game Multiphysics Library -- debugging symbols
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains debugging symbols for Bullet.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbullet-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: professional 3D Game Multiphysics Library -- documentation
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the Bullet API documentation and the Bullet Quick Start
 Guide.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,11 @@
 #export DH_VERBOSE=1
 
 DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
-DTYPE := +dfsg2
+DTYPE := +dfsg
 PKG := bullet
 VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*(\d[\d\.]*(?:-r(?:ev)?\d+))}')
 
-VERSION=2.81
+VERSION=2.82
 
 %:
 	dh $@ --parallel --buildsystem=cmake
@@ -67,10 +67,8 @@
 		Extras/Serialize/BulletXmlWorldImporter/tiny* \
 		Demos/BulletDinoDemo \
 		Demos/DX11ClothDemo \
-		Demos/ParticlesOpenCL \
 		UnitTests/cppunit \
-		Bullet_User_Manual.pdf \
-		autom4te.cache
+		Bullet_User_Manual.pdf
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
 	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \

=== debian/watch ===
version=3
opts=dversionmangle=s/[\.\+]dfsg\.?\d*$// \
  http://code.google.com/p/bullet/downloads/list?can=1 \
  .*/bullet-(\d[\d\.]*(?:-r(?:ev)?\d+)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bullet 2.83.5+dfsg

=== examples/ExampleBrowser/CMakeLists.txt ===


INCLUDE_DIRECTORIES(
	.
	${BULLET_PHYSICS_SOURCE_DIR}/src 
	${BULLET_PHYSICS_SOURCE_DIR}/examples/ThirdPartyLibs
)

FILE(GLOB ExampleBrowser_SRCS "*" "GwenGUISupport/*" )
FILE(GLOB ExampleBrowser_HDRS "*" "GwenGUISupport/*" )



SET(App_ExampleBrowser_SRCS
	main.cpp
	ExampleEntries.cpp
	ExampleEntries.h
	../SharedMemory/PhysicsServer.cpp
        ../SharedMemory/PhysicsClient.cpp
        ../SharedMemory/PosixSharedMemory.cpp
        ../SharedMemory/Win32SharedMemory.cpp
	../BasicDemo/BasicExample.cpp
	../BasicDemo/BasicExample.h
	../ForkLift/ForkLiftDemo.cpp
	../ForkLift/ForkLiftDemo.h
	../GyroscopicDemo/GyroscopicSetup.cpp
	../GyroscopicDemo/GyroscopicSetup.h
	../Planar2D/Planar2D.cpp
	../Planar2D/Planar2D.h
	../RollingFrictionDemo/RollingFrictionDemo.cpp
	../RollingFrictionDemo/RollingFrictionDemo.h
	../FractureDemo/FractureDemo.cpp
	../FractureDemo/btFractureBody.cpp
	../FractureDemo/btFractureDynamicsWorld.cpp
	../FractureDemo/FractureDemo.h
	../FractureDemo/btFractureBody.h
	../FractureDemo/btFractureDynamicsWorld.h
	../DynamicControlDemo/MotorDemo.cpp
	../DynamicControlDemo/MotorDemo.h
		../RenderingExamples/CoordinateSystemDemo.cpp
	../RenderingExamples/CoordinateSystemDemo.h
	../RenderingExamples/RaytracerSetup.cpp
	../RenderingExamples/RaytracerSetup.h
	../RenderingExamples/RenderInstancingDemo.cpp
	../RenderingExamples/RenderInstancingDemo.h
	../Benchmarks/BenchmarkDemo.cpp
	../Benchmarks/BenchmarkDemo.h
	../Benchmarks/landscapeData.h
	../Benchmarks/TaruData
	../Raycast/RaytestDemo.cpp
		../Importers/ImportBsp/BspConverter.h
 	../Importers/ImportBullet/SerializeSetup.cpp
	../Importers/ImportBullet/SerializeSetup.h 

	../../Extras/Serialize/BulletWorldImporter/btWorldImporter.cpp
	../../Extras/Serialize/BulletWorldImporter/btBulletWorldImporter.cpp
../../Extras/Serialize/BulletFileLoader/bChunk.cpp		../../Extras/Serialize/BulletFileLoader/bFile.cpp
../../Extras/Serialize/BulletFileLoader/bDNA.cpp		../../Extras/Serialize/BulletFileLoader/btBulletFile.cpp

	../Importers/ImportBsp/BspLoader.h
  ../Importers/ImportBsp/ImportBspExample.h
  ../Importers/ImportColladaDemo/btMatrix4x4.h
  ../Importers/ImportColladaDemo/ColladaGraphicsInstance.h
  ../Importers/ImportColladaDemo/ImportColladaSetup.h
  ../Importers/ImportColladaDemo/LoadMeshFromCollada.h
  ../Importers/ImportObjDemo/ImportObjExample.h
  ../Importers/ImportObjDemo/LoadMeshFromObj.h
  ../Importers/ImportObjDemo/Wavefront2GLInstanceGraphicsShape.h
  ../Importers/ImportSTLDemo/ImportSTLSetup.h
  ../Importers/ImportSTLDemo/LoadMeshFromSTL.h
  ../Importers/ImportURDFDemo/ConvertRigidBodies2MultiBody.h
  ../Importers/ImportURDFDemo/ImportURDFSetup.h
  ../Importers/ImportURDFDemo/URDF2Bullet.h
  ../Importers/ImportURDFDemo/urdf_samples.h
  ../Importers/ImportBsp/BspConverter.cpp
  ../Importers/ImportBsp/BspLoader.cpp
  ../Importers/ImportBsp/ImportBspExample.cpp
  ../Importers/ImportColladaDemo/ImportColladaSetup.cpp
  ../Importers/ImportColladaDemo/LoadMeshFromCollada.cpp
  ../Importers/ImportObjDemo/ImportObjExample.cpp
  ../Importers/ImportObjDemo/LoadMeshFromObj.cpp
  ../Importers/ImportObjDemo/Wavefront2GLInstanceGraphicsShape.cpp
  ../Importers/ImportSTLDemo/ImportSTLSetup.cpp
  ../Importers/ImportURDFDemo/ImportURDFSetup.cpp
  ../Importers/ImportURDFDemo/URDF2Bullet.cpp
  ../Importers/ImportURDFDemo/MyMultiBodyCreator.cpp
  ../Importers/ImportURDFDemo/MyMultiBodyCreator.h
  ../Importers/ImportURDFDemo/MyURDFImporter.cpp
  ../Importers/ImportURDFDemo/MyURDFImporter.h
  ../VoronoiFracture/VoronoiFractureDemo.cpp
  ../VoronoiFracture/VoronoiFractureDemo.h
  ../VoronoiFracture/btConvexConvexMprAlgorithm.cpp
  ../VoronoiFracture/btConvexConvexMprAlgorithm.h
  ../Vehicles/Hinge2Vehicle.cpp
  ../Vehicles/Hinge2Vehicle.h
  ../MultiBody/TestJointTorqueSetup.cpp
  ../MultiBody/TestJointTorqueSetup.h
  ../MultiBody/MultiDofDemo.cpp
  ../MultiBody/MultiDofDemo.h
  ../Constraints/ConstraintDemo.cpp
  ../Constraints/ConstraintDemo.h
  ../Constraints/Dof6Spring2Setup.cpp
  ../Constraints/Dof6Spring2Setup.h
  ../Constraints/ConstraintPhysicsSetup.cpp
  ../Constraints/ConstraintPhysicsSetup.h
  
	
    ../ThirdPartyLibs/Wavefront/tiny_obj_loader.cpp
    ../ThirdPartyLibs/tinyxml/tinystr.cpp
    ../ThirdPartyLibs/tinyxml/tinyxml.cpp
    ../ThirdPartyLibs/tinyxml/tinyxmlerror.cpp
    ../ThirdPartyLibs/tinyxml/tinyxmlparser.cpp

	
	../ThirdPartyLibs/urdf/urdfdom/urdf_parser/src/pose.cpp
		../ThirdPartyLibs/urdf/urdfdom/urdf_parser/src/model.cpp
    ../ThirdPartyLibs/urdf/urdfdom/urdf_parser/src/link.cpp
    ../ThirdPartyLibs/urdf/urdfdom/urdf_parser/src/joint.cpp
    ../ThirdPartyLibs/urdf/urdfdom/urdf_parser/include/urdf_parser/urdf_parser.h
    ../ThirdPartyLibs/urdf/urdfdom_headers/urdf_exception/include/urdf_exception/exception.h
    ../ThirdPartyLibs/urdf/urdfdom_headers/urdf_model/include/urdf_model/pose.h
    ../ThirdPartyLibs/urdf/urdfdom_headers/urdf_model/include/urdf_model/model.h
    ../ThirdPartyLibs/urdf/urdfdom_headers/urdf_model/include/urdf_model/link.h
    ../ThirdPartyLibs/urdf/urdfdom_headers/urdf_model/include/urdf_model/joint.h
    ../ThirdPartyLibs/tinyxml/tinystr.cpp
    ../ThirdPartyLibs/tinyxml/tinyxml.cpp
    ../ThirdPartyLibs/tinyxml/tinyxmlerror.cpp
    ../ThirdPartyLibs/tinyxml/tinyxmlparser.cpp
    ../ThirdPartyLibs/urdf/boost_replacement/lexical_cast.h
    ../ThirdPartyLibs/urdf/boost_replacement/shared_ptr.h
    ../ThirdPartyLibs/urdf/boost_replacement/printf_console.cpp
    ../ThirdPartyLibs/urdf/boost_replacement/printf_console.h
    ../ThirdPartyLibs/urdf/boost_replacement/string_split.cpp
    ../ThirdPartyLibs/urdf/boost_replacement/string_split.h
	../Utils/b3Clock.cpp
	../Utils/b3Clock.h
	${ExampleBrowser_SRCS}
	${ExampleBrowser_HDRS}
	${BULLET_PHYSICS_SOURCE_DIR}/build3/bullet.rc
)

LINK_LIBRARIES(
        Bullet3Common BulletSoftBody BulletDynamics BulletCollision LinearMath OpenGLWindow gwen ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY}
)

IF (WIN32)
	SET(App_ExampleBrowser_SRCS ${App_ExampleBrowser_SRCS} )
	INCLUDE_DIRECTORIES(
				${BULLET_PHYSICS_SOURCE_DIR}/examples/ThirdPartyLibs/Glew
	)
	ADD_DEFINITIONS(-DGLEW_STATIC)
ELSE(WIN32)
	IF(APPLE)
                find_library(COCOA NAMES Cocoa)
                MESSAGE(${COCOA})
                link_libraries(${COCOA})
  ELSE(APPLE)
		ADD_DEFINITIONS("-DGLEW_INIT_OPENGL11_FUNCTIONS=1")
		ADD_DEFINITIONS("-DGLEW_STATIC")
	        ADD_DEFINITIONS("-DGLEW_DYNAMIC_LOAD_ALL_GLX_FUNCTIONS=1")
		INCLUDE_DIRECTORIES(
                                ${BULLET_PHYSICS_SOURCE_DIR}/examples/ThirdPartyLibs/Glew
	        )
		LINK_LIBRARIES( pthread dl)
	ENDIF(APPLE)
ENDIF(WIN32)
 
	


ADD_EXECUTABLE(App_ExampleBrowser
		${App_ExampleBrowser_SRCS}
)
	

IF (INTERNAL_ADD_POSTFIX_EXECUTABLE_NAMES)
			SET_TARGET_PROPERTIES(App_ExampleBrowser PROPERTIES  DEBUG_POSTFIX "_Debug")
			SET_TARGET_PROPERTIES(App_ExampleBrowser PROPERTIES  MINSIZEREL_POSTFIX "_MinsizeRel")
			SET_TARGET_PROPERTIES(App_ExampleBrowser PROPERTIES  RELWITHDEBINFO_POSTFIX "_RelWithDebugInfo")
ENDIF(INTERNAL_ADD_POSTFIX_EXECUTABLE_NAMES)

=== debian/changelog ===
bullet (2.83.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rename libraries for C++ ABI transition (Closes: #790988)
  * Build-depend on a version of libtinyxml-dev that has started
    the same transition
  * Vcs-Browser: use https

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Aug 2015 09:08:45 +0100

bullet (2.83.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Add SCEA Shared Source License 1.0
    and mention files which are partly copyrighted by Elsevier Inc.
    Thanks to Thorsten Alteholz for the report. (Closes: #792839)
  * get-orig-source: Add --download-current-version option to uscan.

 -- Markus Koschany <apo@gambaru.de>  Sun, 19 Jul 2015 13:40:15 +0200

bullet (2.83.4+dfsg-1) unstable; urgency=medium

  [ Markus Koschany ]
  * Imported Upstream version 2.83.4+dfsg.
  * Update debian/copyright for new release and use Files-Excluded mechanism to
    repack the source tarball. Remove all files without source and additional
    third party libraries which are already packaged for Debian and create a
    DFSG-free source tarball.
  * Rename all binary packages for version 2.83.
  * debian/rules:
    - Build the documentation without timestamps and make the build
      reproducible.
    - Remove doxygen_sqlite3.db in clean target, so that Bullet can be built
      twice in a row.
  * Remove source/options file because xz compression is the default now.
  * debian/control:
    - debian/control: Remove all Pre-Depends fields. They are obsolete now.
    - libbullet-doc: Depend on libjs-jquery and symlink jquery.js.

  [ Bret Curtis ]
  * Update debian/watch for new release. Bullet has moved to Github.
  * Drop do-not-build-with-embedded-glui-library.patch. Fixed upstream.
  * debian/control: Switch Vcs-Browser field to cgit.
  * debian/control: Rename all packages for version 2.83.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Markus Koschany <apo@gambaru.de>  Sat, 09 May 2015 11:56:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,26 +8,26 @@
  cmake,
  debhelper (>= 9),
  freeglut3-dev,
- libtinyxml-dev,
+ libtinyxml-dev (>= 2.6.2-3),
  zlib1g-dev
 Build-Depends-Indep:
  doxygen,
  graphviz,
  rdfind,
  symlinks
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.bulletphysics.org/
 Vcs-Git: git://anonscm.debian.org/pkg-games/bullet.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/bullet.git
-
-Package: libbulletsoftbody2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/bullet.git
+
+Package: libbulletsoftbody2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletsoftbody2.83
+Replaces: libbulletsoftbody2.83
 Description: professional 3D Game Multiphysics Library -- soft body
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -39,14 +39,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletcollision2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletcollision2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletcollision2.83
+Replaces: libbulletcollision2.83
 Description: professional 3D Game Multiphysics Library -- collision
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -59,14 +59,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletdynamics2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletdynamics2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletdynamics2.83
+Replaces: libbulletdynamics2.83
 Description: professional 3D Game Multiphysics Library -- dynamics
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -79,14 +79,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: liblinearmath2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: liblinearmath2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: liblinearmath2.83
+Replaces: liblinearmath2.83
 Description: professional 3D Game Multiphysics Library -- mathematics
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -96,14 +96,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libhacd2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libhacd2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libhacd2.83
+Replaces: libhacd2.83
 Description: professional 3D Game Multiphysics Library -- HACD
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -115,14 +115,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libconvexdecomposition2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libconvexdecomposition2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libconvexdecomposition2.83
+Replaces: libconvexdecomposition2.83
 Description: professional 3D Game Multiphysics Library -- convex decomposition
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -133,14 +133,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletfileloader2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletfileloader2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletfileloader2.83
+Replaces: libbulletfileloader2.83
 Description: professional 3D Game Multiphysics Library -- file loader
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -149,14 +149,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletworldimporter2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletworldimporter2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletworldimporter2.83
+Replaces: libbulletworldimporter2.83
 Description: professional 3D Game Multiphysics Library -- world importer
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -167,14 +167,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletxmlworldimporter2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletxmlworldimporter2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletxmlworldimporter2.83
+Replaces: libbulletxmlworldimporter2.83
 Description: professional 3D Game Multiphysics Library -- xml world importer
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -185,14 +185,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libgimpactutils2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libgimpactutils2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libgimpactutils2.83
+Replaces: libgimpactutils2.83
 Description: professional 3D Game Multiphysics Library -- GIMPACT
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -208,10 +208,10 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libbulletcollision2.82 (= ${binary:Version}),
- libbulletdynamics2.82 (= ${binary:Version}),
- libbulletsoftbody2.82 (= ${binary:Version}),
- liblinearmath2.82 (= ${binary:Version}),
+ libbulletcollision2.83v5 (= ${binary:Version}),
+ libbulletdynamics2.83v5 (= ${binary:Version}),
+ libbulletsoftbody2.83v5 (= ${binary:Version}),
+ liblinearmath2.83v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: professional 3D Game Multiphysics Library -- development files
  Bullet professional 3D Game Multiphysics Library provides state of the art
@@ -245,12 +245,12 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libbulletfileloader2.82 (= ${binary:Version}),
- libbulletworldimporter2.82 (= ${binary:Version}),
- libbulletxmlworldimporter2.82 (= ${binary:Version}),
- libconvexdecomposition2.82 (= ${binary:Version}),
- libgimpactutils2.82 (= ${binary:Version}),
- libhacd2.82 (= ${binary:Version}),
+ libbulletfileloader2.83v5 (= ${binary:Version}),
+ libbulletworldimporter2.83v5 (= ${binary:Version}),
+ libbulletxmlworldimporter2.83v5 (= ${binary:Version}),
+ libconvexdecomposition2.83v5 (= ${binary:Version}),
+ libgimpactutils2.83v5 (= ${binary:Version}),
+ libhacd2.83v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: professional 3D Game Multiphysics Library -- extra development
  Bullet professional 3D Game Multiphysics Library provides state of the art
@@ -260,22 +260,22 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbullet2.82-dbg
+Package: libbullet2.83-dbg
 Priority: extra
 Section: debug
 Architecture: any
 Multi-Arch: same
 Depends:
- libbulletcollision2.82 (= ${binary:Version}),
- libbulletdynamics2.82 (= ${binary:Version}),
- libbulletfileloader2.82 (= ${binary:Version}),
- libbulletsoftbody2.82 (= ${binary:Version}),
- libbulletworldimporter2.82 (= ${binary:Version}),
- libbulletxmlworldimporter2.82 (= ${binary:Version}),
- libconvexdecomposition2.82 (= ${binary:Version}),
- libgimpactutils2.82 (= ${binary:Version}),
- libhacd2.82 (= ${binary:Version}),
- liblinearmath2.82 (= ${binary:Version}),
+ libbulletcollision2.83v5 (= ${binary:Version}),
+ libbulletdynamics2.83v5 (= ${binary:Version}),
+ libbulletfileloader2.83v5 (= ${binary:Version}),
+ libbulletsoftbody2.83v5 (= ${binary:Version}),
+ libbulletworldimporter2.83v5 (= ${binary:Version}),
+ libbulletxmlworldimporter2.83v5 (= ${binary:Version}),
+ libconvexdecomposition2.83v5 (= ${binary:Version}),
+ libgimpactutils2.83v5 (= ${binary:Version}),
+ libhacd2.83v5 (= ${binary:Version}),
+ liblinearmath2.83v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: professional 3D Game Multiphysics Library -- debugging symbols
  Bullet professional 3D Game Multiphysics Library provides state of the art
@@ -289,6 +289,7 @@
 Section: doc
 Architecture: all
 Depends:
+ libjs-jquery,
  ${misc:Depends}
 Description: professional 3D Game Multiphysics Library -- documentation
  Bullet professional 3D Game Multiphysics Library provides state of the art

## bullet 2.83.6%2Bdfsg

=== Extras/CMakeLists.txt ===
SUBDIRS( Serialize ConvexDecomposition HACD GIMPACTUtils )

#Maya Dynamica plugin is moved to http://dynamica.googlecode.com

#IF (USE_GLUT AND GLUT_FOUND)
#	SUBDIRS (glui)
#ENDIF ()

=== examples/ExampleBrowser/CMakeLists.txt ===
--- 
+++ 
@@ -16,13 +16,21 @@
 	ExampleEntries.cpp
 	ExampleEntries.h
 	../SharedMemory/PhysicsServer.cpp
-        ../SharedMemory/PhysicsClient.cpp
-        ../SharedMemory/PosixSharedMemory.cpp
-        ../SharedMemory/Win32SharedMemory.cpp
+	../SharedMemory/PhysicsClient.cpp
+	../SharedMemory/PhysicsClientC_API.cpp
+	../SharedMemory/PhysicsServerExample.cpp
+	../SharedMemory/PhysicsClientExample.cpp
+	../SharedMemory/RobotControlExample.cpp
+	../SharedMemory/PosixSharedMemory.cpp
+	../SharedMemory/Win32SharedMemory.cpp
 	../BasicDemo/BasicExample.cpp
 	../BasicDemo/BasicExample.h
 	../ForkLift/ForkLiftDemo.cpp
 	../ForkLift/ForkLiftDemo.h
+	../Tutorial/Tutorial.cpp
+	../Tutorial/Tutorial.h
+	../Tutorial/Dof6ConstraintTutorial.cpp
+	../Tutorial/Dof6ConstraintTutorial.h
 	../GyroscopicDemo/GyroscopicSetup.cpp
 	../GyroscopicDemo/GyroscopicSetup.h
 	../Planar2D/Planar2D.cpp
@@ -37,12 +45,19 @@
 	../FractureDemo/btFractureDynamicsWorld.h
 	../DynamicControlDemo/MotorDemo.cpp
 	../DynamicControlDemo/MotorDemo.h
-		../RenderingExamples/CoordinateSystemDemo.cpp
+	
+	../RenderingExamples/TimeSeriesCanvas.cpp
+	../RenderingExamples/TimeSeriesCanvas.h
+	../RenderingExamples/TimeSeriesFontData.cpp
+	../RenderingExamples/TimeSeriesFontData.h
+	
+	../RenderingExamples/CoordinateSystemDemo.cpp
 	../RenderingExamples/CoordinateSystemDemo.h
 	../RenderingExamples/RaytracerSetup.cpp
 	../RenderingExamples/RaytracerSetup.h
 	../RenderingExamples/RenderInstancingDemo.cpp
 	../RenderingExamples/RenderInstancingDemo.h
+	../RenderingExamples/TimeSeriesExample.cpp
 	../Benchmarks/BenchmarkDemo.cpp
 	../Benchmarks/BenchmarkDemo.h
 	../Benchmarks/landscapeData.h
@@ -85,8 +100,11 @@
   ../Importers/ImportURDFDemo/URDF2Bullet.cpp
   ../Importers/ImportURDFDemo/MyMultiBodyCreator.cpp
   ../Importers/ImportURDFDemo/MyMultiBodyCreator.h
-  ../Importers/ImportURDFDemo/MyURDFImporter.cpp
-  ../Importers/ImportURDFDemo/MyURDFImporter.h
+  ../Importers/ImportURDFDemo/UrdfParser.cpp
+  ../Importers/ImportURDFDemo/urdfStringSplit.cpp
+ ../Importers/ImportURDFDemo/urdfStringSplit.h
+  ../Importers/ImportURDFDemo/BulletUrdfImporter.cpp
+  ../Importers/ImportURDFDemo/BulletUrdfImporter.h
   ../VoronoiFracture/VoronoiFractureDemo.cpp
   ../VoronoiFracture/VoronoiFractureDemo.h
   ../VoronoiFracture/btConvexConvexMprAlgorithm.cpp
@@ -95,8 +113,13 @@
   ../Vehicles/Hinge2Vehicle.h
   ../MultiBody/TestJointTorqueSetup.cpp
   ../MultiBody/TestJointTorqueSetup.h
+  ../MultiBody/InvertedPendulumPDControl.cpp
+  ../MultiBody/InvertedPendulumPDControl.h
+ ../MultiBody/MultiBodyConstraintFeedback.cpp
   ../MultiBody/MultiDofDemo.cpp
   ../MultiBody/MultiDofDemo.h
+  ../Constraints/TestHingeTorque.cpp
+  ../Constraints/TestHingeTorque.h
   ../Constraints/ConstraintDemo.cpp
   ../Constraints/ConstraintDemo.h
   ../Constraints/Dof6Spring2Setup.cpp
@@ -105,6 +128,9 @@
   ../Constraints/ConstraintPhysicsSetup.h
   
 	
+	../ThirdPartyLibs/stb_image/stb_image.cpp
+	../ThirdPartyLibs/stb_image/stb_image.h
+
     ../ThirdPartyLibs/Wavefront/tiny_obj_loader.cpp
     ../ThirdPartyLibs/tinyxml/tinystr.cpp
     ../ThirdPartyLibs/tinyxml/tinyxml.cpp
@@ -134,6 +160,8 @@
     ../ThirdPartyLibs/urdf/boost_replacement/string_split.h
 	../Utils/b3Clock.cpp
 	../Utils/b3Clock.h
+	../Utils/b3ResourcePath.cpp
+	../Utils/b3ResourcePath.h
 	${ExampleBrowser_SRCS}
 	${ExampleBrowser_HDRS}
 	${BULLET_PHYSICS_SOURCE_DIR}/build3/bullet.rc

=== src/Bullet3Dynamics/CMakeLists.txt ===

INCLUDE_DIRECTORIES(
	${BULLET_PHYSICS_SOURCE_DIR}/src
)

SET(Bullet3Dynamics_SRCS
	b3CpuRigidBodyPipeline.cpp
	ConstraintSolver/b3FixedConstraint.cpp
	ConstraintSolver/b3Generic6DofConstraint.cpp
	ConstraintSolver/b3PgsJacobiSolver.cpp
	ConstraintSolver/b3Point2PointConstraint.cpp
	ConstraintSolver/b3TypedConstraint.cpp
)

SET(Bullet3Dynamics_HDRS
	  b3CpuRigidBodyPipeline.h
    ConstraintSolver/b3ContactSolverInfo.h
    ConstraintSolver/b3FixedConstraint.h
    ConstraintSolver/b3Generic6DofConstraint.h
    ConstraintSolver/b3JacobianEntry.h
    ConstraintSolver/b3PgsJacobiSolver.h
    ConstraintSolver/b3Point2PointConstraint.h
    ConstraintSolver/b3SolverBody.h
    ConstraintSolver/b3SolverConstraint.h
    ConstraintSolver/b3TypedConstraint.h
    shared/b3ContactConstraint4.h
    shared/b3ConvertConstraint4.h
    shared/b3Inertia.h
    shared/b3IntegrateTransforms.h
)

ADD_LIBRARY(Bullet3Dynamics ${Bullet3Dynamics_SRCS} ${Bullet3Dynamics_HDRS})
if (BUILD_SHARED_LIBS)
  target_link_libraries(Bullet3Dynamics Bullet3Collision)
endif ()
SET_TARGET_PROPERTIES(Bullet3Dynamics PROPERTIES VERSION ${BULLET_VERSION})
SET_TARGET_PROPERTIES(Bullet3Dynamics PROPERTIES SOVERSION ${BULLET_VERSION})

IF (INSTALL_LIBS)
	IF (NOT INTERNAL_CREATE_DISTRIBUTABLE_MSVC_PROJECTFILES)
		#FILES_MATCHING requires CMake 2.6
		IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 2.5)
			IF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
				INSTALL(TARGETS Bullet3Dynamics DESTINATION .)
			ELSE (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
				INSTALL(TARGETS Bullet3Dynamics 
					RUNTIME DESTINATION bin
					LIBRARY DESTINATION lib${LIB_SUFFIX}
					ARCHIVE DESTINATION lib${LIB_SUFFIX})
				INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
DESTINATION ${INCLUDE_INSTALL_DIR} FILES_MATCHING PATTERN "*.h"  PATTERN
".svn" EXCLUDE PATTERN "CMakeFiles" EXCLUDE)
			ENDIF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
		ENDIF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 2.5)

		IF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
			SET_TARGET_PROPERTIES(Bullet3Dynamics PROPERTIES FRAMEWORK true)
			SET_TARGET_PROPERTIES(Bullet3Dynamics PROPERTIES PUBLIC_HEADER "${Bullet3Dynamics_HDRS}")
		ENDIF (APPLE AND BUILD_SHARED_LIBS AND FRAMEWORK)
	ENDIF (NOT INTERNAL_CREATE_DISTRIBUTABLE_MSVC_PROJECTFILES)
ENDIF (INSTALL_LIBS)

=== Extras/Serialize/BlenderSerialize/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${BULLET_PHYSICS_SOURCE_DIR}/src  
${BULLET_PHYSICS_SOURCE_DIR}/src
${BULLET_PHYSICS_SOURCE_DIR}/Extras/Serialize/BulletFileLoader
${BULLET_PHYSICS_SOURCE_DIR}/Extras/Serialize/BlenderSerialize
)

ADD_LIBRARY(BlenderSerialize dna249.cpp dna249-64bit.cpp bBlenderFile.cpp  bBlenderFile.h bMain.cpp bMain.h )
